package cross_variety

import (
	"eta_gn/eta_chart_lib/global"
	"eta_gn/eta_chart_lib/utils"
	"time"
)

type ChartTag struct {
	ChartTagId      int       `orm:"column(chart_tag_id);pk" gorm:"column:chart_tag_id;primaryKey"`
	ChartTagName    string    `description:"标签名称" gorm:"column:chart_tag_name"`
	ChartTagNameEn  string    `description:"标签名称（英文）" gorm:"column:chart_tag_name_en"`
	SysUserId       int       `description:"创建人id" gorm:"column:sys_user_id"`
	SysUserRealName string    `description:"创建人姓名" gorm:"column:sys_user_real_name"`
	ModifyTime      time.Time `description:"修改时间" gorm:"column:modify_time"`
	CreateTime      time.Time `description:"创建时间" gorm:"column:create_time"`
}

func (ChartTag) TableName() string {
	return "chart_tag"
}




func (item *ChartTag) Update(updateColList []string) (err error) {
	to := global.DmSQL["data"]
	err = to.Model(item).Select(updateColList).Updates(item).Error
	return
}


func (item *ChartTag) Delete() (err error) {
	o := global.DmSQL["data"]
	err = o.Delete(item).Error
	return
}



func GetTagListByIdList(idList []int) (items []*ChartTag, err error) {
	num := len(idList)
	if num <= 0 {
		return
	}
	o := global.DmSQL["data"]
	sql := `SELECT * FROM chart_tag WHERE 1 = 1 AND chart_tag_id in (` + utils.GetGormInReplace(num) + `)`
	err = o.Raw(sql, idList).Scan(&items).Error
	return
}
