package cross_variety

import (
	"eta_gn/eta_chart_lib/global"
	"eta_gn/eta_chart_lib/utils"
	"time"
)

type ChartTagVariety struct {
	Id                        int       `orm:"column(id);pk" gorm:"column:id;primaryKey"`
	ChartTagId                int       `description:"标签id" gorm:"column:chart_tag_id"`
	ChartVarietyId            int       `description:"品种id" gorm:"column:chart_variety_id"`
	EdbInfoId                 int       `description:"指标id" gorm:"column:edb_info_id"`
	LastUpdateSysUserId       int       `description:"最后一次操作人" gorm:"column:last_update_sys_user_id"`
	LastUpdateSysUserRealName string    `description:"最后一次操作人真实姓名" gorm:"column:last_update_sys_user_real_name"`
	ModifyTime                time.Time `description:"修改时间" gorm:"column:modify_time"`
	CreateTime                time.Time `description:"创建时间" gorm:"column:create_time"`
}

func (ChartTagVariety) TableName() string {
	return "chart_tag_variety"
}



func GetChartTagVarietyListByTagAndVariety(chartTagId int, varietyIdList []int) (items []*ChartTagVariety, err error) {
	num := len(varietyIdList)
	if num <= 0 {
		return
	}
	o := global.DmSQL["data"]
	sql := `SELECT * FROM chart_tag_variety WHERE chart_tag_id = ? AND chart_variety_id in (` + utils.GetGormInReplace(num) + `) `
	err = o.Raw(sql, chartTagId, varietyIdList).Scan(&items).Error
	return
}
