package excel

import (
	"eta_gn/eta_chart_lib/global"
	"eta_gn/eta_chart_lib/utils"
	"time"
)

type ExcelSheetData struct {
	ExcelDataId  int       `gorm:"column:excel_data_id;primaryKey" orm:"column(excel_data_id);pk"`
	ExcelInfoId  int       `gorm:"column:excel_info_id" description:"数据归属的excel_info的id"`
	ExcelSheetId int       `gorm:"column:excel_sheet_id" description:"数据归属sheet"`
	Sort         int       `gorm:"column:sort" description:"数据排序"`
	Data         string    `gorm:"column:data" description:"数据，分页存储"`
	ModifyTime   time.Time `gorm:"column:modify_time" description:"最近修改日期"`
	CreateTime   time.Time `gorm:"column:create_time" description:"创建日期"`
}

func (ExcelSheetData *ExcelSheetData) Update(cols []string) (err error) {
	o := global.DmSQL["data"]
	err = o.Model(ExcelSheetData).Select(cols).Updates(ExcelSheetData).Error

	return
}

func AddExcelSheetData(excelInfo *ExcelSheetData) (err error) {
	o := global.DmSQL["data"]
	err = o.Create(excelInfo).Error
	if err != nil {
		return
	}
	return
}

func GetSheetDataListBySheetIdListAndPage(excelSheetIdList []int, page int) (items []*ExcelSheetData, err error) {
	num := len(excelSheetIdList)
	if num <= 0 {
		return
	}
	o := global.DmSQL["data"]
	sql := ` SELECT *
FROM excel_sheet_data WHERE 1=1 AND excel_sheet_id in (` + utils.GetGormInReplace(num) + `) AND sort = ? `
	err = o.Raw(sql, excelSheetIdList, page).Scan(&items).Error

	return
}

func GetAllSheetDataListByExcelInfoId(excelInfoId int) (items []*ExcelSheetData, err error) {
	o := global.DmSQL["data"]
	sql := ` SELECT *
FROM excel_sheet_data WHERE 1=1 AND excel_info_id = ? ORDER BY sort ASC `
	err = o.Raw(sql, excelInfoId).Scan(&items).Error

	return
}








