package data_manage

import (
	"eta_gn/eta_chart_lib/global"
	"time"
)


type MultipleGraphConfigEdbMapping struct {
	Id                    int       `gorm:"column:id;primaryKey" description:"主键ID" orm:"column(id);pk"`
	MultipleGraphConfigId int       `gorm:"column:multiple_graph_config_id" description:"多图配置id"`
	EdbInfoId             int       `gorm:"column:edb_info_id" description:"指标id"`
	Source                int       `gorm:"column:source" description:"来源,1:曲线图，2：相关性图；3：滚动相关性图1；4：滚动相关性图2；"`
	ModifyTime            time.Time `gorm:"column:modify_time" description:"最近一次修改时间"`
	CreateTime            time.Time `gorm:"column:create_time" description:"添加时间"`
}

func AddMultipleGraphConfigEdbMapping(item *MultipleGraphConfigEdbMapping) (err error) {
	o := global.DmSQL["data"]
	err = o.Create(item).Error
	return
}

func (item *MultipleGraphConfigEdbMapping) Update(cols []string) (err error) {
	o := global.DmSQL["data"]
	err = o.Model(item).Select(cols).Updates(item).Error
	return
}

func GetMultipleGraphConfigEdbMappingByIdAndSource(configId, source int) (item *MultipleGraphConfigEdbMapping, err error) {
	o := global.DmSQL["data"]
	sql := `SELECT * FROM multiple_graph_config_edb_mapping WHERE multiple_graph_config_id = ? AND source = ? `
	err = o.Raw(sql, configId, source).First(&item).Error
	return
}

func GetMultipleGraphConfigEdbMappingListById(configId int) (items []*MultipleGraphConfigEdbMapping, err error) {
	o := global.DmSQL["data"]
	sql := `SELECT * FROM multiple_graph_config_edb_mapping WHERE multiple_graph_config_id = ? `
	err = o.Raw(sql, configId).Scan(&items).Error

	return
}

func GetMultipleGraphConfigEdbMappingListByIdAndSource(configId, source int) (items []*MultipleGraphConfigEdbMapping, err error) {
	o := global.DmSQL["data"]
	sql := `SELECT * FROM multiple_graph_config_edb_mapping WHERE multiple_graph_config_id = ? AND source = ? `
	err = o.Raw(sql, configId, source).Scan(&items).Error

	return
}







