package routers

import (
	"eta_gn/eta_chart_lib/controllers"
	"github.com/beego/beego/v2/server/web"
)

func init() {
	ns := web.NewNamespace("/v1",
		web.NSNamespace("/chart",
			web.NSInclude(
				&controllers.ChartController{},
			),
		),
		web.NSNamespace("/chart_auth",
			web.NSInclude(
				&controllers.ChartAuthController{},
			),
		),
		web.NSNamespace("/table",
			web.NSInclude(
				&controllers.TableController{},
			),
		),
		web.NSNamespace("/excel_info",
			web.NSInclude(
				&controllers.ExcelInfoController{},
			),
		),
	)
	web.AddNamespace(ns)
}
